Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.gui
Class AbstractCellEditor

    java.lang.Object
      com.puppycrawl.tools.checkstyle.gui.AbstractCellEditor

All Implemented Interfaces:
  CellEditor

Direct Known Subclasses:
  JTreeTable.TreeTableCellEditor

    public class AbstractCellEditor

extends Object
implements CellEditor

Abstract implementation of a CellEditor.

Author:
  http://java.sun.com/products/jfc/tsc/articles/treetable2

Constructor Summary
`AbstractCellEditor()`

Method Summary
`void` | `addCellEditorListener(CellEditorListener l)`
`void` | `cancelCellEditing()`
`protected void` | `fireEditingCanceled()`
`protected void` | `fireEditingStopped()`
`Object` | `getCellEditorValue()`
`boolean` | `isCellEditable(EventObject e)`
`void` | `removeCellEditorListener(CellEditorListener l)`
`boolean` | `shouldSelectCell(EventObject anEvent)`
`boolean` | `stopCellEditing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCellEditor

    public AbstractCellEditor()

Method Detail

### getCellEditorValue

    public Object getCellEditorValue()

  Specified by:
    `getCellEditorValue` in interface `CellEditor`
  See Also:
    `CellEditor`

### isCellEditable

    public boolean isCellEditable(EventObject e)

  Specified by:
    `isCellEditable` in interface `CellEditor`
  See Also:
    `CellEditor`

### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)

  Specified by:
    `shouldSelectCell` in interface `CellEditor`
  See Also:
    `CellEditor`

### stopCellEditing

    public boolean stopCellEditing()

  Specified by:
    `stopCellEditing` in interface `CellEditor`
  See Also:
    `CellEditor`

### cancelCellEditing

    public void cancelCellEditing()

  Specified by:
    `cancelCellEditing` in interface `CellEditor`
  See Also:
    `CellEditor`

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener l)

  Specified by:
    `addCellEditorListener` in interface `CellEditor`
  See Also:
    `CellEditor`

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener l)

  Specified by:
    `removeCellEditorListener` in interface `CellEditor`
  See Also:
    `CellEditor`

### fireEditingStopped

    protected void fireEditingStopped()

### fireEditingCanceled

    protected void fireEditingCanceled()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD